WhatsApp Campaign
curl --request POST \
--url https://webhook.cocoonmail.com/webhook/campaign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from_number": "<string>",
"type": "template",
"content": {
"template_name": "<string>",
"template_language": "<string>"
},
"recipient": [
{
"whatsapp_number": "<string>",
"first_name": "<string>",
"email": "<string>",
"name": "<string>"
}
]
}
'import requests
url = "https://webhook.cocoonmail.com/webhook/campaign"
payload = {
"from_number": "<string>",
"type": "template",
"content": {
"template_name": "<string>",
"template_language": "<string>"
},
"recipient": [
{
"whatsapp_number": "<string>",
"first_name": "<string>",
"email": "<string>",
"name": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from_number: '<string>',
type: 'template',
content: {template_name: '<string>', template_language: '<string>'},
recipient: [
{
whatsapp_number: '<string>',
first_name: '<string>',
email: '<string>',
name: '<string>'
}
]
})
};
fetch('https://webhook.cocoonmail.com/webhook/campaign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/campaign");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"from_number\": \"<string>\",\n \"type\": \"template\",\n \"content\": {\n \"template_name\": \"<string>\",\n \"template_language\": \"<string>\"\n },\n \"recipient\": [\n {\n \"whatsapp_number\": \"<string>\",\n \"first_name\": \"<string>\",\n \"email\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://webhook.cocoonmail.com/webhook/campaign");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"from_number\": \"<string>\",\n \"type\": \"template\",\n \"content\": {\n \"template_name\": \"<string>\",\n \"template_language\": \"<string>\"\n },\n \"recipient\": [\n {\n \"whatsapp_number\": \"<string>\",\n \"first_name\": \"<string>\",\n \"email\": \"<string>\",\n \"name\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);{
"success": true,
"message": "WhatsApp campaign message(s) sent successfully."
}
{
"success": false,
"message": "Bad request"
}
Whatsapp
Campaign
Send WhatsApp campaign messages using templates.
POST
/
webhook
/
campaign
WhatsApp Campaign
Send WhatsApp campaign messages to multiple recipients using pre-approved templates. This endpoint allows for scheduling messages at a specific time.
Request Body
The request body includes the sender’s phone number, template details, recipient information, tags, and the scheduled time.Example Payload
{
"from_number": "+910000000000",
"type": "template",
"content": {
"template_name": "welcome_template",
"template_language": "en"
},
"tags": ["tag1", "tag2"],
"recipient": [
{
"whatsapp_number": "+91 0000000000",
"first_name": "John",
"email": "john@example.com"
},
{
"whatsapp_number": "+91 0000000001",
"name": "Jane",
"email": "jane@example.com"
}
],
"scheduled_at": "2026-04-30T12:00:00Z"
}
{
"success": true,
"message": "WhatsApp campaign message(s) sent successfully."
}
{
"success": false,
"message": "Bad request"
}
Authorizations
Use your API key with the 'Bearer ' prefix
Body
application/json
Response
WhatsApp campaign message(s) sent successfully.
⌘I